> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/game-hosting/elements/patchjob/patchjobemail.md).

# Patchjobemail

A PatchJobEmail element describes an email address that we send patching reports to.

You can set which reports to have sent to the email address:

* progress reports
* the final result report

## Element structure

| Property          | Value type | Required  | Description                                                                     |
| ----------------- | ---------- | --------- | ------------------------------------------------------------------------------- |
| id                | string     | Read-only | Unique identifier of this element                                               |
| email             | string     | Yes       | The email address to send PatchJob reports to                                   |
| progressReport \` | int        | Yes       | Indicates whether to send progress reports to the email address (0: no, 1: yes) |
| resultReport      | int        | Yes       | Indicates whether to send the final report to the email address (0: no, 1: yes) |
| createdAt         | int        | Read-only | A unix timestamp of when this element was created                               |

Table 1: PatchJobEmail element structure

## API example

This element is not created individually, but is included in, and created with the [PatchJob](https://docs.i3d.net/game-hosting/elements/patchjob.md) element.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/game-hosting/elements/patchjob/patchjobemail.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
